## org.eclipse.emf.compare.diff.merge
Interface IMergeListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  AbstractMergeListener

    public interface IMergeListener

extends java.util.EventListener

Base interface for the listeners that can be notified when a merge operation is about to occur or to end.

Method Summary
`void` `mergeDiffEnd(MergeEvent event)` This is called whenever a difference has been merge.
`void` `mergeDiffStart(MergeEvent event)` This is called whenever a DiffElement is about to be merged.
`void` `mergeOperationEnd(MergeEvent event)` This is called whenever a merge operation has ended, either on a single `DiffElement` or a list of differences.
`void` `mergeOperationStart(MergeEvent event)` This is called whenever a merge operation is about to be launched, either on a single `DiffElement` or a list of differences.

Method Detail

### mergeDiffEnd

    void mergeDiffEnd(MergeEvent event)

  This is called whenever a difference has been merge.

  Parameters:
    `event` - Holds information about the merged `DiffElement`.

### mergeDiffStart

    void mergeDiffStart(MergeEvent event)

  This is called whenever a DiffElement is about to be merged.

  Parameters:
    `event` - Holds information about the merged `DiffElement`.

### mergeOperationEnd

    void mergeOperationEnd(MergeEvent event)

  This is called whenever a merge operation has ended, either on a single `DiffElement` or a list of differences.

  Parameters:
    `event` - Holds information about the merged `DiffElement`(s).

### mergeOperationStart

    void mergeOperationStart(MergeEvent event)

  This is called whenever a merge operation is about to be launched, either on a single `DiffElement` or a list of differences.

  Parameters:
    `event` - Holds information about the merged `DiffElement`(s).

Copyright 2006 IBM Corporation and others. All Rights Reserved.